//
//  VPNDevice
//  VPNUnlimitedSDK
//
//  Copyright (c) 2015 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//


/*!
 @class VPNUAccountDevice
 @abstract
 A model object which describes a user's device.
 */
NS_AVAILABLE(10_7, 7_0)
@interface VPNUAccountDevice : NSObject

/*!
 @brief Device name.
 */
@property (nonatomic, readonly) NSString *name NS_AVAILABLE(10_7, 7_0);
/*!
 @brief Device identifier.
 */
@property (nonatomic, readonly) NSString *identifier NS_AVAILABLE(10_7, 7_0);
/*!
 @brief Total traffic (in bytes).
 */
@property (nonatomic, readonly) long long traffic NS_AVAILABLE(10_7, 7_0);
/*!
 @brief A string which describes a device's platform.
 */
@property (nonatomic, readonly) NSString *platform NS_AVAILABLE(10_7, 7_0);
/*!
 @brief Last login date for device.
 */
@property (nonatomic, readonly) NSDate *lastLoginDate;

@end