//
//  VPNUAccountStatistics.h
//  VPNUnlimitedSDK
//
//  Copyright (c) 2015 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

#import <Foundation/Foundation.h>

/*!
 @class VPNUAccountDeviceStatistics
 @abstract
 A model object which describes statistics of a user's device for a specific date.
 */
NS_AVAILABLE(10_7, 7_0)
@interface VPNUAccountDeviceStatistics: NSObject

/*!
 @brief A date the statistics provided for.
 */
@property (nonatomic, readonly) NSDate *date NS_AVAILABLE(10_7, 7_0);
/*!
 @brief Ingoing traffic (in bytes).
 */
@property (nonatomic, readonly) long long inputTraffic NS_AVAILABLE(10_7, 7_0);
/*!
 @brief Outgoing traffic (in bytes).
 */
@property (nonatomic, readonly) long long outputTraffic NS_AVAILABLE(10_7, 7_0);
/*!
 @brief Total traffic (in bytes).
 */
@property (nonatomic, readonly) long long totalTraffic NS_AVAILABLE(10_7, 7_0);

@end
