//
//  VPNUConstants.h
//  VPNUnimitedSDK
//
//  Copyright (c) 2016 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

#import <VPNUnlimitedSDK/VPNUOpenVPNStateConstants.h>
#import <VPNUnlimitedSDK/VPNUErrorCodes.h>

extern NSString * const kVPNUnlimitedSDKVersion;

#if !TARGET_OS_IPHONE
extern NSString * const VPNUManagerServicesDidChangeNotification;
extern NSString * const VPNUManagerServicesDidChangeNotificationServicesKey;
#endif /* !TARGET_OS_IPHONE (== TARGET_OS_MAC) */

/*!
 * @typedef VPNUProtocol
 * @abstract VPN protocol used by configurator.
 */
typedef NS_ENUM(NSUInteger, VPNUProtocol) {
    /*! @const VPNUProtocolUnknown Protocol is not defined. */
    VPNUProtocolUnknown NS_AVAILABLE(10_7, 8_0),
    /*! @const VPNUProtocolIPSec IPSec is used. */
    VPNUProtocolIPSec NS_AVAILABLE(10_7, 8_0),
    /*! @const VPNUProtocolPPTP PPTP is used. */
    VPNUProtocolPPTP NS_DEPRECATED_MAC(10_7, 10_11),
    /*! @const VPNUProtocolOpenVPN OpenVPN is used. */
    VPNUProtocolOpenVPN NS_AVAILABLE(10_11, 9_0),
    /*! @const VPNUProtocolKeepSolidWise Patched OpenVPN is used. */
    VPNUProtocolKeepSolidWise NS_AVAILABLE(10_11, 9_0)
} NS_ENUM_AVAILABLE(10_7, 8_0);
