//
//  VPNUnlimitedSDKErrorCodes.h
//  VPNUnlimitedSDK
//
//  Copyright (c) 2015 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

#ifndef VPNUnlimitedSDK_VPNUErrorCodes_h
#define VPNUnlimitedSDK_VPNUErrorCodes_h

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSUInteger, VPNUErrorDomain) {
    VPNUErrorDomainDefault,
    VPNUErrorDomainCustomProto1,
    VPNUErrorDomainPacketTunnelCommunication
};

typedef NS_ENUM(NSUInteger, VPNUCustomProto1Error) {
    VPNUCustomProto1ErrorUnknown = 222,
    VPNUCustomProto1ErrorFatalError,
    VPNUCustomProto1ErrorFailedToInitialize,
    VPNUCustomProto1ErrorAssignIP,
    VPNUCustomProto1ErrorInitialServerResponse,
    VPNUCustomProto1ErrorAuth,
    VPNUCustomProto1ErrorGetConfig,
    VPNUCustomProto1ErrorResolve,
    VPNUCustomProto1ErrorTCPConnect,
    VPNUCustomProto1ErrorTooMuchReconnects
};

typedef NS_ENUM(NSUInteger, VPNUPacketTunnelCommunicationError) {
    VPNUPacketTunnelCommunicationErrorNoError = 0,
    VPNUPacketTunnelCommunicationErrorUnknown = 620,
    VPNUPacketTunnelCommunicationErrorResponseTimeout,
    VPNUPacketTunnelCommunicationErrorMessagingServerCreate,
    VPNUPacketTunnelCommunicationErrorMessagingServerStart,
    VPNUPacketTunnelCommunicationErrorWrongSessionClass,
    VPNUPacketTunnelCommunicationErrorInvalidConnectionStatus,
    VPNUPacketTunnelCommunicationErrorHandshakeData,
    VPNUPacketTunnelCommunicationErrorDeserializeMessage,
    VPNUPacketTunnelCommunicationErrorProviderCommunication,
    VPNUPacketTunnelCommunicationErrorUnexpectedResponse
};

enum {
    VPNUErrorUnknown = -1,
    VPNUErrorUnexpectedServerResponse = 1000,
    VPNUErrorNotSupported = 1500,
    VPNUErrorKeyNoDeviceID = 2000,
    VPNUErrorLoginPassEmpty = 2001,
    VPNUErrorLoginEmpty = 2002,
    VPNUErrorServerItemRegionEmpty = 2003,
    VPNUErrorInvalidProfileURL = 2004,
    VPNUErrorSessionDeathCantRecover = 2500,
    VPNUErrorNoProtocolInVPNPrefs = 3000,
    VPNUErrorNoProfileInstalled
} NS_ENUM_AVAILABLE(10_7, 7_0);

#endif
